// RSSInfo.h: interface for the CRSSInfo class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RSSINFO_H__0799D8BE_86BA_4CF5_82B8_CD4043DD27B0__INCLUDED_)
#define AFX_RSSINFO_H__0799D8BE_86BA_4CF5_82B8_CD4043DD27B0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

using namespace std;

typedef struct _RSSItem
{
	char title[MAX_LINE_LENGTH];
	char link[MAX_LINE_LENGTH];
	char description[MAX_LINE_LENGTH];
} RSSItem;

class CRSSInfo  
{
public:
	unsigned m_UpdateThread;
	void Enable();
	void Disable();
	void Toggle();
	void Update();
	bool ReadSettings();
	bool ReadFromFile(const char *szFile);

	string m_sTitle;
	string m_sItems;
	string m_sItemsLabel;
	string m_sTitleLabel;
	string m_sOnUpdated;
	string m_sOnUpdateFailure;
	string m_sItemSeparator;
	string m_sItemString;
	string m_sInfoString;
	string m_sURL;
	string m_sName;
	int m_UpdateInterval;
	int m_Count;
	bool m_bActive;
	UINT_PTR m_nIDEvent;
	UINT_PTR m_uTimerID;

	CRSSInfo(string sName, HINSTANCE hInstance);
	virtual ~CRSSInfo();
};

void ErrorBox(const char *szMessage);

#define NAMED_OPTION(name,option) (name + option).c_str()


#endif // !defined(AFX_RSSINFO_H__0799D8BE_86BA_4CF5_82B8_CD4043DD27B0__INCLUDED_)
